#include "xanimdeltapartquat.h"

XAnimDeltaPartQuat::XAnimDeltaPartQuat()
    : XAsset() {
}

void XAnimDeltaPartQuat::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream >> mSize;

        // Parse data
        mData.ParseData(aStream);
    }
}

quint32 XAnimDeltaPartQuat::GetSize() const {
    return mSize;
}

void XAnimDeltaPartQuat::SetSize(quint32 size) {
    mSize = size;
}

const XAnimDeltaPartQuatData& XAnimDeltaPartQuat::GetData() const {
    return mData;
}

void XAnimDeltaPartQuat::SetData(const XAnimDeltaPartQuatData& data) {
    mData = data;
}
